%define github_name smarty

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-smarty
Version:	3.1.33
Release:	%mkrel 3
Summary:	Template/Presentation Framework for PHP
License:	LGPLv2+
Group:		Development/PHP
Url:		http://www.smarty.net/
#https://github.com/smarty-php/smarty/archive/v3.1.31.tar.gz
Source0:	https://github.com/smarty-php/smarty/archive/v%{version}.tar.gz
#until 3.1.32
#Patch0:		CVE-2017-1000480.diff
Requires:   php-mbstring
Requires:   php-pcre
Provides:   php-composer(smarty/smarty) = %{version}
Buildarch:	noarch

%description
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%prep
%setup -q -n %{github_name}-%{version}
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr libs %{buildroot}%{php_libdir}/Smarty

%files
%doc *.txt demo README
%{php_libdir}/Smarty


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.1.33-3.mga8
+ Revision: 1507397
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.1.33-2.mga7
+ Revision: 1287875
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 mokraemer <mokraemer> 3.1.33-1.mga7
+ Revision: 1259869
- new version 3.1.33

* Mon May 21 2018 mokraemer <mokraemer> 3.1.32-1.mga7
+ Revision: 1231103
- new version 3.1.32

* Fri Jan 26 2018 mokraemer <mokraemer> 3.1.31-2.mga7
+ Revision: 1197263
- Security code injection (mga#22458, CVE-2017-1000480)

* Sun Nov 26 2017 mokraemer <mokraemer> 3.1.31-1.mga7
+ Revision: 1179796
- new version

* Wed Oct 04 2017 guillomovitch <guillomovitch> 3.1.30-1.mga7
+ Revision: 1168870
- new version 3.1.30

* Sat Dec 10 2016 ngompa <ngompa> 3.1.21-3.mga6
+ Revision: 1074067
- Remove unneeded %%pretrans

* Mon Feb 08 2016 umeabot <umeabot> 3.1.21-2.mga6
+ Revision: 950565
- Mageia 6 Mass Rebuild

* Fri Nov 07 2014 guillomovitch <guillomovitch> 3.1.21-1.mga5
+ Revision: 795995
- new version 3.1.21

* Wed Oct 15 2014 umeabot <umeabot> 3.1.19-5.mga5
+ Revision: 748547
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.19-4.mga5
+ Revision: 727765
- rebuild for missing pythoneggs deps

* Thu Sep 25 2014 guillomovitch <guillomovitch> 3.1.19-3.mga5
+ Revision: 724654
- fix automatic dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.1.19-2.mga5
+ Revision: 687544
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 guillomovitch <guillomovitch> 3.1.19-1.mga5
+ Revision: 674278
- new version 3.1.19

* Tue Oct 22 2013 umeabot <umeabot> 3.1.15-2.mga4
+ Revision: 542308
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 oden <oden> 3.1.15-1.mga4
+ Revision: 497320
- 3.1.15

* Thu Aug 29 2013 tv <tv> 3.1.14-2.mga4
+ Revision: 472941
- make description be readable

* Thu Aug 29 2013 oden <oden> 3.1.14-1.mga4
+ Revision: 472908
- 3.1.14

* Sat May 04 2013 anssi <anssi> 3.1.11-4.mga3
+ Revision: 412283
- fix migration from a directory to a symlink (migration needs to be in
  pretrans as of rpm 4.11)

* Sun Jan 13 2013 umeabot <umeabot> 3.1.11-3.mga3
+ Revision: 377568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 obgr_seneca <obgr_seneca> 3.1.11-2.mga3
+ Revision: 279368
- remove old install dir before the installation

* Tue Jul 17 2012 obgr_seneca <obgr_seneca> 3.1.11-1.mga3
+ Revision: 271755
- new version 3.1.11
- changed installation path to upper case name
- added symlink to lower case name for compatibility reasons
- lower case name is deprecated and will be removed after Mga3

* Thu Jun 28 2012 obgr_seneca <obgr_seneca> 3.1.10-1.mga3
+ Revision: 264669
- New version 3.1.10

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 3.1.8-1.mga2
+ Revision: 216045
- new version 3.1.8

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 3.1.7-1.mga2
+ Revision: 208840
- new version 3.1.7

* Fri Nov 18 2011 obgr_seneca <obgr_seneca> 3.1.5-1.mga2
+ Revision: 168897
- new version 3.1.5wq

* Wed Sep 21 2011 obgr_seneca <obgr_seneca> 3.1.0-1.mga2
+ Revision: 146318
- new version 3.1.0

* Fri Sep 16 2011 obgr_seneca <obgr_seneca> 3.0.8-1.mga2
+ Revision: 144248
- new version 3.0.8wq

* Sat Jan 15 2011 spuhler <spuhler> 3.0.6-1.mga1
+ Revision: 19513
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-smarty


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2011.0
+ Revision: 630297
- 3.0.6

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.5-1mdv2011.0
+ Revision: 614803
- 3.0.5

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-3mdv2011.0
+ Revision: 588720
- rebuild

* Sun Feb 21 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-2mdv2010.1
+ Revision: 509090
- rebuild

* Sat Sep 12 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-1mdv2010.0
+ Revision: 438565
- 2.6.26

* Mon Jul 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.25-4mdv2010.0
+ Revision: 398205
- install files under %%{_datadir}/php, as other non-pear php libraries
- rename documentation package to %%{name}-doc
- don't provide wrong pear dependencies: fix faulty packages instead

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.6.25-3mdv2010.0
+ Revision: 397598
- Rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.6.25-2mdv2010.0
+ Revision: 397286
- Rebuild

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.25-1mdv2010.0
+ Revision: 379237
- update to new version 2.6.25

* Sun May 17 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.24-1mdv2010.0
+ Revision: 376671
- update to new version 2.6.24

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.23-1mdv2010.0
+ Revision: 375763
- Update to new version 2.6.23
- Add smarty icon as a source, it's not included in the upstream tarball
  anymore

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.22-1mdv2009.1
+ Revision: 329196
- 2.6.22

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-4mdv2009.1
+ Revision: 321948
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-3mdv2009.1
+ Revision: 321696
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-2mdv2009.1
+ Revision: 321695
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-1mdv2009.0
+ Revision: 272566
- fix url
- 2.6.20

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.6.19-2mdv2009.0
+ Revision: 265469
- rebuild early 2009.0 package (before pixel changes)

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.19-1mdv2009.0
+ Revision: 200102
- 2.6.19

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.18-2mdv2008.1
+ Revision: 178576
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.18-1mdv2008.0
+ Revision: 14587
- 2.6.18


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.17-1mdv2007.0
+ Revision: 134268
- 2.6.17

* Fri Dec 15 2006 David Walluck <walluck@mandriva.org> 2.6.16-1mdv2007.1
+ Revision: 97228
- 2.6.16

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.14-1mdv2007.1
+ Revision: 75347
- Import php-smarty

* Fri Jul 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.14-1mdk
- 2.6.14

* Tue Apr 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.13-1mdk
- 2.6.13

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.11-1mdk
- 2.6.11

* Fri Aug 12 2005 Andreas Hasenack <andreas@mandriva.com> 2.6.6-3mdk
- added fake provides for pear(Smarty.class.php)

* Sat May 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-2mdk
- relocate to %%{_datadir}

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.6-1mdk
- initial mandrake package

